# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDE Namespace Reference

Namespace for general KDE functions. More...

## Functions

unsigned int | versionMajor ()
| Returns the major number of KDE's version, e.g.
unsigned int | versionMinor ()
| Returns the minor number of KDE's version, e.g.
unsigned int | versionRelease ()
| Returns the release of KDE's version, e.g.
const char * | versionString ()
| Returns the KDE version as string, e.g.
int | getaddrinfo (const char *name, const char *service, const struct addrinfo *hint, struct addrinfo **result)
void | freeaddrinfo (struct addrinfo *ai)
char * | gai_strerror (int errorcode)
int | getnameinfo (const struct sockaddr *sa, unsigned int salen, char *host, size_t hostlen, char *serv, size_t servlen, int flags)
int | inet_pton (int af, const char *cp, void *buf)
const char * | inet_ntop (int af, const void *cp, char *buf, size_t len)

## Variables

const int | resolverFlags = KRF_getaddrinfo | KRF_resolver | KRF_afinet6 | KRF_inet_ntop | KRF_inet_pton

## Detailed Description

Namespace for general KDE functions.

## Function Documentation

unsigned int KDE::versionMajor | ( |  | ) |

Returns the major number of KDE's version, e.g.

3 for KDE 3.1.2.

Returns:
  the major version number

Since:
  3.1

Definition at line 22 of file kdeversion.cpp.

unsigned int KDE::versionMinor | ( |  | ) |

Returns the minor number of KDE's version, e.g.

1 for KDE 3.1.2.

Returns:
  the minor version number

Since:
  3.1

Definition at line 27 of file kdeversion.cpp.

unsigned int KDE::versionRelease | ( |  | ) |

Returns the release of KDE's version, e.g.

2 for KDE 3.1.2.

Returns:
  the release number

Since:
  3.1

Definition at line 32 of file kdeversion.cpp.

const char * KDE::versionString | ( |  | ) |

Returns the KDE version as string, e.g.

"3.1.2".

Returns:
  the KDE version. You can keep the string forever

Since:
  3.1

Definition at line 37 of file kdeversion.cpp.

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001